import 'package:bookmywages/routers/consts_router.dart';
import 'package:flutter/material.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'package:get/get.dart';
import 'package:bookmywages/routers/router.dart'; // Your actual routes file

void main() {
  runApp(const ProviderScope(child: BookMyWage()));
}

class BookMyWage extends StatelessWidget {
  const BookMyWage({super.key});

  @override
  Widget build(BuildContext context) {
    return GetMaterialApp(
      debugShowCheckedModeBanner: false,
      initialRoute: RouterConts.flashScreen,
      getPages: AppRoutes.routes, // This should match your routes file
    );
  }
}